Bug 214753 - net/wireshark: update to 2.2.2
Summary: net/wireshark: update to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-22 19:17 UTC by Piotr Kubaj
Modified: 2016-12-01 16:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)
pkubaj: merge-quarterly?


Attachments
vuxml patch (2.18 KB, patch)
2016-11-22 19:17 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (marcus)
Details | Diff
wireshark patch (25.72 KB, patch)
2016-11-22 19:18 UTC, Piotr Kubaj
no flags Details | Diff
wireshark patch (23.45 KB, patch)
2016-11-23 07:55 UTC, Piotr Kubaj
no flags Details | Diff
wireshark patch (23.90 KB, patch)
2016-11-23 08:38 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (marcus)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-11-22 19:17:29 UTC
Created attachment 177293 [details]
vuxml patch

The Wireshark ports are currently vulnerable and need an update. I attach patches for vuxml and wireshark ports.

I've validated vuxml entry and wireshark ports build fine on 11.0 in Poudriere.
Comment 1 Piotr Kubaj freebsd_committer 2016-11-22 19:18:07 UTC
Created attachment 177294 [details]
wireshark patch
Comment 2 Piotr Kubaj freebsd_committer 2016-11-23 07:55:21 UTC
Created attachment 177317 [details]
wireshark patch

Corrected indentation.
Comment 3 Piotr Kubaj freebsd_committer 2016-11-23 08:38:35 UTC
Created attachment 177322 [details]
wireshark patch

Corrected pkg-plist.
Comment 4 commit-hook freebsd_committer 2016-12-01 16:47:13 UTC
A commit references this bug:

Author: marcus
Date: Thu Dec  1 16:46:45 UTC 2016
New revision: 427508
URL: https://svnweb.freebsd.org/changeset/ports/427508

Log:
  Add an entry for wireshark < 2.2.2

  PR:		214753
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/security/vuxml/vuln.xml
Comment 5 Joe Marcus Clarke freebsd_committer 2016-12-01 16:47:21 UTC
Committed the vuxml update, but I did the port myself.  Thanks!